Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RESOLVED] - boost/shared_ptr.hpp not found
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
razrburn
n00b
n00b


Joined: 22 Mar 2009
Posts: 32
Location: Wisconsin

PostPosted: Sun Apr 05, 2009 11:45 am    Post subject: [RESOLVED] - boost/shared_ptr.hpp not found Reply with quote

when installing open office 3.0.1 or any 3 version of open office i get this error message
I have tried other versions of boost thank you in advance for the help.


Code:
checking which beanshell to use... external
checking for /usr/share/bsh/lib/bsh.jar... yes
checking which saxon to use... internal
checking which curl to use... external
checking for curl-config... /usr/bin/curl-config
checking whether curl is >= 7.9.8... yes
checking which boost to use... external
checking boost/shared_ptr.hpp usability... no
checking boost/shared_ptr.hpp presence... no
checking for boost/shared_ptr.hpp... no
configure: error: boost/shared_ptr.hpp not found. install boost
make: *** [stamp/build] Error 1
 *
 * ERROR: app-office/openoffice-3.0.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 5108:  Called die
 * The specific snippet of code:
 *       make || die "Build failed"
 *  The die message:
 *   Build failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-office/openoffice-3.0.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/openoffice-3.0.1/temp/environment'.
 *
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.13"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER=""
and of course, the output of emerge --info

>>> Failed to emerge app-office/openoffice-3.0.1, Log file:

>>>  '/var/tmp/portage/app-office/openoffice-3.0.1/temp/build.log'

 * Messages for package app-office/openoffice-3.0.1:

 *
 *  It is important to note that OpenOffice.org is a very fragile 
 *  build when it comes to CFLAGS.  A number of flags have already
 *  been filtered out.  If you experience difficulty merging this 
 *  package and use agressive CFLAGS, lower the CFLAGS and try to 
 *  merge again. Also note that building OOo takes a lot of time and
 *  hardware ressources: 4-6 GB free diskspace and 256 MB RAM are
 *  the minimum requirements. If you have less, use openoffice-bin
 *  instead.
 *
 *  Also if you experience a build break, please make sure to retry
 *  with MAKEOPTS=-j1 before filing a bug.
 *
 *
 * ERROR: app-office/openoffice-3.0.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 5108:  Called die
 * The specific snippet of code:
 *       make || die "Build failed"
 *  The die message:
 *   Build failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-office/openoffice-3.0.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-office/openoffice-3.0.1/temp/environment'.


Last edited by razrburn on Mon Apr 06, 2009 8:12 pm; edited 1 time in total
Back to top
View user's profile Send private message
cyrillic
Watchman
Watchman


Joined: 19 Feb 2003
Posts: 7313
Location: Groton, Massachusetts USA

PostPosted: Mon Apr 06, 2009 2:27 am    Post subject: Reply with quote

I just ran into the same problem earlier today, and "eselect boost" was my friend. :wink:
Back to top
View user's profile Send private message
razrburn
n00b
n00b


Joined: 22 Mar 2009
Posts: 32
Location: Wisconsin

PostPosted: Mon Apr 06, 2009 6:22 am    Post subject: Reply with quote

how would i use that? when i select the version it says
Code:
# eselect boost-1_37
!!! Error: Can't load module boost-1_37
Killed


Code:
# eselect boost list
Available boost versions:
  [1]   boost-1_37


am i doing it wrong?
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Mon Apr 06, 2009 7:53 am    Post subject: Reply with quote

try with eselect boost set 1
Back to top
View user's profile Send private message
razrburn
n00b
n00b


Joined: 22 Mar 2009
Posts: 32
Location: Wisconsin

PostPosted: Mon Apr 06, 2009 8:11 pm    Post subject: Reply with quote

Thank you so much

Code:
eselect boost set 1


worked like a champ

thank you again
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum